# StatusBar

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [StatusBar](/api/wisej.web/containers/statusbar.md)

Displays information to the user in a about the object being viewed, the object's components, or the object's operation.

{% tabs %}
{% tab title="C#" %}

```csharp
public class StatusBar : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class StatusBar
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) StatusBar()

Initializes a new instance of the [StatusBar](/api/wisej.web/containers/statusbar.md) class.

## Properties

### ![](/files/lzopMboA31bVq8UIcbT3) DefaultSize

[Size](https://docs.microsoft.com/dotnet/api/system.drawing.size): Returns the default size of the control.

### ![](/files/hsR4ok3152WyAf8J2C1u) Dock

[DockStyle](/api/wisej.web/enumerations/wisej.web.dockstyle.md): Returns or sets the docking behavior of the [StatusBar](/api/wisej.web/containers/statusbar.md) control. (Default: `Bottom`)

### ![](/files/hsR4ok3152WyAf8J2C1u) PanelCount

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the number of child panels without forcing the creation of the collection.

### ![](/files/hsR4ok3152WyAf8J2C1u) Panels

[StatusBarPanelCollection](/api/wisej.web/containers/statusbar/wisej.web.statusbar.statusbarpanelcollection.md): Returns the collection of [StatusBar](/api/wisej.web/containers/statusbar.md) panels contained within the control.

### ![](/files/hsR4ok3152WyAf8J2C1u) ShowPanels

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether any panels that have been added to the control are displayed. (Default: `True`)

The StatusBar control displays the value of its [Text](#text) property without any panels by default. When ShowPanels is set to true, the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) children specified in the StatusBar control are displayed; otherwise they are hidden and the [Text](#text) is displayed instead.

### ![](/files/hsR4ok3152WyAf8J2C1u) SizingGrip

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether a sizing grip is displayed in the lower-right corner of the control. (Default: `True`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Text

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the text displayed in the [StatusBar](/api/wisej.web/containers/statusbar.md) control when if doesn't contain any [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) or when [ShowPanels](#showpanels) is false. (Default: `""`)

The text assigned to the [StatusBar](/api/wisej.web/containers/statusbar.md) is displayed only if it doesn't contain any [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) or if the property [ShowPanels](#showpanels) is false.

### ![](/files/hsR4ok3152WyAf8J2C1u) TextAlign

[HorizontalAlignment](/api/wisej.web/enumerations/wisej.web.horizontalalignment.md): Returns or sets how text is aligned in a [StatusBar](/api/wisej.web/containers/statusbar.md) control. (Default: `Left`)

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) Dispose(disposing)

Disposes of the resources (other than memory) used by the [StatusBar](/api/wisej.web/containers/statusbar.md).

| Parameter     | Type                                                            | Description                                                                 |
| ------------- | --------------------------------------------------------------- | --------------------------------------------------------------------------- |
| **disposing** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | true when this method is called by the application rather than a finalizer. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnAddReferences(items)

Returns a collection of referenced components or collection of components.

| Parameter | Type                                                                    | Description |
| --------- | ----------------------------------------------------------------------- | ----------- |
| **items** | [IList](https://docs.microsoft.com/dotnet/api/system.collections.ilist) |             |

### ![](/files/lzopMboA31bVq8UIcbT3) OnBindingContextChanged(e)

Fires the [BindingContextChanged](/api/wisej.web/general/control.md#bindingcontextchanged) event.

| Parameter | Type                                                                | Description                                                                                          |
| --------- | ------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) | An [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnPanelClick(e)

Fires the [OnPanelClick](#onpanelclick) event.

| Parameter | Type                                                                                                          | Description                                                                                                                                   |
| --------- | ------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| **e**     | [StatusBarPanelClickEventArgs](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelclickeventargs.md) | A [StatusBarPanelClickEventArgs](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelclickeventargs.md) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebEvent(e)

Processes the event from the client.

| Parameter | Type                                                        | Description      |
| --------- | ----------------------------------------------------------- | ---------------- |
| **e**     | [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) | Event arguments. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) PanelClick

[StatusBarPanelClickEventHandler](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelclickeventhandler.md) Fired when a [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) object on a [StatusBar](/api/wisej.web/containers/statusbar.md) control is clicked.

## Implements

| Name                                                                              | Description                                                                                                           |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                         |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/statusbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
